restinio::utils::metaprogramming::impl::all_of< Predicate, H, Tail > Struct Template Reference

`#include <metaprogramming.hpp>`

## Static Public Attributes

static constexpr bool | value

## Detailed Description

template<template< class... > class Predicate, typename H, typename... Tail>
struct restinio::utils::metaprogramming::impl::all_of< Predicate, H, Tail >

Definition at line 275 of file metaprogramming.hpp.

## Member Data Documentation

## value

template<template< class... > class Predicate, typename H , typename... Tail>

constexpr bool restinio::utils::metaprogramming::impl::all_of< Predicate, H, Tail >::value

staticconstexpr

Initial value:
= Predicate<H>::value &&
all_of<Predicate, Tail...>::value
restinio::utils::tuple_algorithms::all_of
RESTINIO_NODISCARD bool all_of(Tuple &&tuple, Predicate &&predicate)
Definition: tuple_algorithms.hpp:103
restinio::utils::metaprogramming::impl::all_of::value
static constexpr bool value
Definition: metaprogramming.hpp:277

Definition at line 277 of file metaprogramming.hpp.

The documentation for this struct was generated from the following file:

- restinio/utils/metaprogramming.hpp